I really think DUB lacks an important flag/option namely a variant of

    allowWarnings

that *recursively* affects all the sub packages of a dub.json project description.

Otherwise developers who want to try out D will think its is broken because of warnings such as deprecated use of C-style arrays hinders them from building and trying out all the cool software currently packaged with DUB.

I don't think D's deprecation system was meant to have this affect on the developer.

Comments on that, please.

Reply via email to